# libpysal.cg.get_rectangle_point_intersect

libpysal.cg.get_rectangle_point_intersect(rect, pt)

  Returns the intersection of a rectangle and point.

  Parameters:
    rect `libpysal.cg.Rectangle`

      A rectangle to check for an intersection.

    pt `libpysal.cg.Point`

      A point to check `rect` for an intersection.

  Returns:
    pt{`libpysal.cg.Point`, `python:None`}

      The intersection of a `rect` and `pt` if one exists, otherwise `None`.

  Examples

      >>> rect = Rectangle(0, 0, 5, 5)
      >>> pt = Point((1, 1))
      >>> i = get_rectangle_point_intersect(rect, pt)
      >>> str(i)
      '(1.0, 1.0)'

      >>> pt2 = Point((10, 10))
      >>> get_rectangle_point_intersect(rect, pt2)